#!/bin/bash
#
# This script is designed to handle various operations related to setting up, starting, stopping the python application
# It will assume the requirements file is at the root (not with the source code)
#

export PYTHONPATH=$PWD/src
pip_upgrade='sandbox/bin/pip freeze|sort |diff requirements.txt -|grep \<|grep -E " .+$" -o'
install(){
	
	virtualenv sandbox
	sandbox/bin/pip install -r requirements.txt
	`sandbox/bin/pip freeze|sort |diff requirements.txt -|grep \<|grep -E " .+$" -o|sandbox/bin/pip install --upgrade` 


}
register(){
	#
	# $1 uid 	customer's identifier (email)
	# $2 pid 	customer's plan identifier
	#
	curl -X POST https://the-phi.com/store/init/monitor-logs -H "uid:$1" -H"pid: $2"



}
upgrade(){
	git pull
	count=`sandbox/bin/pip freeze|sort |diff requirements.txt -|grep \<|grep -E " .+$" -o|wc -l`
	if [ ! "$count" = "0" ]; then
	 	`sandbox/bin/pip freeze|sort |diff requirements.txt -|grep \<|grep -E " .+$" -o|sandbox/bin/pip install --upgrade`
	 else
	 	echo "No Upgrade required for sandbox"
	 fi
	
}
start(){
	
		sandbox/bin/python src/data-collector.py --path $PWD/config.json

}
stop(){
	ps -eo pid,command|grep python|grep -E "$PWD"|grep data-collector|grep -E "^ {0,}[0-9]+" -o |xargs kill -9
}

status(){
	pid=`ps -eo pid,command|grep python|grep -E "$PWD"|grep data-collector|grep -E "^ {0,}[0-9]+" -m 1 -o`
	if [ "$pid" = "" ]; then 
		echo "DATA-COLLECTOR IS OFFLINE"
	else
		echo "DATA-COLLECTOR IS ONLINE $pid"
	fi

}

$1

